Multiple Guarantee Registrations

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

This API lets you register multiple security interests in a single transaction in the oficial site Registro Único de Garantías

This service is asynchronous because you can register more than one guarantee, and the operation may take longer depending on the amount of data. Therefore, once the request is made, you will receive a response with a pending status. To see the service's response, you must use the GET endpoint to obtain the response once all the data has been processed.

Important points

Required parameters

Vault

The vault parameter in the request body is required. This value must be the name of your credentials stored in the Vault Links section

acreedorId

Is the id of the acreedor, you can find the id in the section Alta de acreedores in the oficial site Registro Único de Garantías. The value belongs to the column Identificador.

vigenciaMeses

number of the Months for the guarantee

Partes.Otorgante

array of otorgantes. At least one

  • Required parameters:
    • idNacionalidad: go to catalog for possible values
    • tipoPersona: PF or PM
    • denominacionRazonSocial: when TipoPersona is PM
    • nombre: when TipoPersona is PF
    • apellidoPaterno: when TipoPersona is PF
    • apellidoMaterno: when TipoPersona is PF
    • curp: when TipoPersona is PF
    • rfc
  • Optional parameters
    • folioElectronico

Partes.Deudor

array of deudores. At least one

  • Required parameters:
    • idNacionalidad: go to catalog for possible values
    • tipoPersona: PF or PM
    • denominacionRazonSocial: when TipoPersona is PM
    • nombre: when TipoPersona is PF
    • apellidoPaterno: when TipoPersona is PF
    • apellidoMaterno: when TipoPersona is PF
    • rfc

Guarantee

  • Required parameters:
    • Creacion:
      • idTipoGarantia: go to catalog for possible values
      • fechaCelebracion
      • montoMaximo
      • idMoneda: go to catalog for possible values
      • descripcionBienesMuebles
      • bDatosModificables: to indicate if an entry can be modified later. "true" or "false"
      • declaroBajoProtesta: "true" or "false"
      • tiposBienMueble: array of strings, go to catalog for possible values
    • Obligacion:
      • fechaCelebracion
      • actoContrato
  • Optional values:
    • Creacion:
      • terminosCondiciones
      • datosInstrumentoPublico
    • Obligacion
      • terminos
      • fechaTerminacion

Request example

{
  "vault": "rug",
  "acreedorId": "72030690",
  "inscripciones": [
    {
      "personaSolicita": {},
      "partes": {
        "otorgante": [
          {
            "idNacionalidad": "1",
            "tipoPersona": "PM",
            "denominacionRazonSocial": "EMPRESA TEST SA DE CV",
            "rfc": "ETE850101XXX",
            "folioElectronico": "N-2017026968"
          },
          {
            "idNacionalidad": "1",
            "tipoPersona": "PF",
            "nombre": "JUAN",
            "apellidoPaterno": "PEREZ",
            "apellidoMaterno": "LOPEZ",
            "rfc": "PELJ850101ABC",
            "curp": "PELJ850101HDFRPN09"
          }
        ],
        "deudores": [
          {
            "idNacionalidad": "1",
            "tipoPersona": "PF",
            "nombre": "JUAN",
            "apellidoPaterno": "PEREZ",
            "apellidoMaterno": "LOPEZ",
            "rfc": "PELJ850101ABC"
          },
          {
            "idNacionalidad": "1",
            "tipoPersona": "PM",
            "denominacionRazonSocial": "EMPRESA TEST SA DE CV",
            "rfc": "ETE850101XXX"
          }
        ]
      },
      "garantia": {
        "creacion": {
          "idTipoGarantia": "1",
          "fechaCelebracion": "2025-11-27",
          "montoMaximo": "100000.00",
          "idMoneda": "22",
          "descripcionBienesMuebles": "Vehiculo Toyota 2024",
          "bDatosModificables": "0",
          "declaroBajoProtesta": "1",
          "tiposBienMueble": ["1"]
        },
        "obligacion": {
          "fechaCelebracion": "2025-11-27",
          "actoContrato": "Contrato de credito",
          "fechaTerminacion": "2025-11-27",
          "terminos": "123456"
        }
      },
      "vigenciaMeses": "36"
    }
  ]
}

Response

You can find an examples of the different kinds of responses in the examples of the call.

Required field

You will get a 400 bad request error when the vault parameter is not provided or doesn't exist in the body request.

[
    {
        "message": "Las credenciales de RUG no están configuradas en Vault",
        "field": "vault"
    }
]

You will get a 400 bad request error when a field parameter is not provided when tipoOtorgante have value

[
    {
        "code": "REQUIRED_FIELD_ERROR",
        "message": "EMPTY_ERROR  can't be empty",
        "field": "acreedorId"
    }
]

Invalid format

You will get a 400 bad request error when a parameter does not comply with the correct format. Examples:

[
    {
        "code": "FORMAT_ERROR",
        "message": "wrong type, wanted: string",
        "field": "nombre"
    }
]
[
    {
        "code": "FORMAT_ERROR",
        "message": "must match ^([A-Z]{1,2})(\\d{2}(?:0[1-9]|1[0-2])(?:0[1-9]|[12]\\d|3[01]))([A-Z\\d]{3})([A-Z\\d])$",
        "field": "curp"
    },
    {
        "code": "FORMAT_ERROR",
        "message": "must match ^([A-Z]{3,4})(\\d{2}(?:0[1-9]|1[0-2])(?:0[1-9]|[12]\\d|3[01]))([A-Z\\d]{3})$",
        "field": "rfc"
    }
]
[
    {
        "code": "FORMAT_ERROR",
        "message": "wrong type, wanted: string",
        "field": "razonSocial"
    }
]

Catalog error

You will get a 400 bad request error when any value don't belongs for the possible values in a catalog

[
    {
        "code": "FORMAT_ERROR",
        "message": "Tipo de otorgante inválido. Valores permitidos: PF, PM",
        "field": "tipoPersona"
    }
]

Conditional Parameter Error

You will get a 400 bad request error when a conditional parameter don't belongs for the possible values

[
  {
          "code": "CONFLICT_ERROR",
          "message": "La razón social no aplica para Persona Física",
          "field": "razonSocial"
  }
]
[
    {
        "code": "CONFLICT_ERROR",
        "message": "El nombre no aplica para Persona Moral",
        "field": "nombre"
    },
    {
        "code": "CONFLICT_ERROR",
        "message": "Los apellidos no aplican para Persona Moral",
        "field": "apellidos"
    },
    {
        "code": "CONFLICT_ERROR",
        "message": "La CURP no aplica para Persona Moral",
        "field": "curp"
    }
]
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json